Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(476)

Unified Diff: third_party/WebKit/LayoutTests/imported/wpt/ci_stability.sh

Issue 2446483002: Import wpt@c5a14f553cba5f197743b9af605a84eddd8692a2 (Closed)
Patch Set: Created 4 years, 2 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: third_party/WebKit/LayoutTests/imported/wpt/ci_stability.sh
diff --git a/third_party/WebKit/LayoutTests/imported/wpt/ci_stability.sh b/third_party/WebKit/LayoutTests/imported/wpt/ci_stability.sh
new file mode 100644
index 0000000000000000000000000000000000000000..8d3599ac13ef9845ede9354dccf7da6ae269e3dc
--- /dev/null
+++ b/third_party/WebKit/LayoutTests/imported/wpt/ci_stability.sh
@@ -0,0 +1,31 @@
+set -ex
+
+hosts_fixup() {
+ echo "== /etc/hosts =="
+ cat /etc/hosts
+ echo "----------------"
+ sudo sed -i 's/^::1\s*localhost/::1/' /etc/hosts
+ sudo sh -c 'echo "
+127.0.0.1 web-platform.test
+127.0.0.1 www.web-platform.test
+127.0.0.1 www1.web-platform.test
+127.0.0.1 www2.web-platform.test
+127.0.0.1 xn--n8j6ds53lwwkrqhv28a.web-platform.test
+127.0.0.1 xn--lve-6lad.web-platform.test
+" >> /etc/hosts'
+ echo "== /etc/hosts =="
+ cat /etc/hosts
+ echo "----------------"
+}
+
+
+test_stability() {
+ python check_stability.py $PRODUCT
+}
+
+main() {
+ hosts_fixup
+ test_stability
+}
+
+main

Powered by Google App Engine
This is Rietveld 408576698